Sarge sur portable, pas de Son


#21

[quote=“wake”]apres une petite recherche il semble que tu ais une carte son qui devrait etre reconnu sur linux debian.

0000:00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE Controller ATI
0000:00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge
0000:00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge
0000:00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC’97 Audio Controller (rev 01)

c’est en tout cas ce que je trouve ici http://www.netfort.gr.jp/~dancer/column/dx5150.html.en donc mon humble avis et que lors de l’installation l’installateur a du louper le module pour ton son. je ne sais pas en revanche comment on trouve le nom de celui-ci. mais AC’97 c’est tres familier come chipset ,non?[/quote]
Merci pour cette info, je garde donc espoir et je vais tenter dans un premier temps de régler les problemes suivants :

  • xserver-xorg is broken
  • acpi non géré par le noyau (ça chauffe)

#22

la je sais pas, jamais fais de dist upgrade encore. passe la main a MattOTop :wink:


#23

Bein, impossible de remettre en français, il trouve pas … et je ne sais pas quoi installer dans aptitude.

Je boot toujours sur le 2.6.8 pour l’instant.

Donc un petit retour en arrière ne me déplairait pas si ça me permet de retrouver les choses comme elles étaient :-/
En fait je me demande si je ne devrais pas mieux réinstaller et ne pas mettre les sources /testing et ne pas selectionner xorg.


#24

peut-etre une piste…

perso, j’ai eu un paquet “broken” suite à mon install CDless, il s’agissait de openoffice.org. j’ai regardé mon source.list et en fait, les versions n’étaient pas homogène, autrement dis j’avais certaines sources en testing et d’autres en sarge…

vérifie ton source.list, peut-etre que ca vient de la.

ensuite, je vois pas de quoi tu parles en disant “impossible de remettre en français… et je ne sais pas quoi installer dans aptitude”, tu peux m’éclaircir ?


#25

pas de panique, phase un, et AMHA, ca va règler quelques trucs: changer de noyau.
fabrozor:
fais comme moi:

emeraude:/usr/src/uml/linux-source-2.6.15$ aptitude search linux-image-2.6
v   linux-image-2.6                                                                   -
p   linux-image-2.6-486                                                               - Linux kernel 2.6 image on 486-class machines
p   linux-image-2.6-686                                                               - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 machines
p   linux-image-2.6-686-smp                                                           - Linux kernel 2.6 image on PPro/Celeron/PII/PIII/P4 SMP machines
p   linux-image-2.6-k7                                                                - Linux kernel 2.6 image on AMD K7 machines
p   linux-image-2.6-k7-smp                                                            - Linux kernel 2.6 image on AMD K7 SMP machines
p   linux-image-2.6.15-1-486                                                          - Linux kernel 2.6.15 image on 486-class machines
i   linux-image-2.6.15-1-686                                                          - Linux kernel 2.6.15 image on PPro/Celeron/PII/PIII/P4 machines
p   linux-image-2.6.15-1-686-smp                                                      - Linux kernel 2.6.15 image on PPro/Celeron/PII/PIII/P4 SMP machines
p   linux-image-2.6.15-1-k7                                                           - Linux kernel 2.6.15 image on AMD K7 machines
p   linux-image-2.6.15-1-k7-smp                                                       - Linux kernel 2.6.15 image on AMD K7 SMP machines

tu devrais avoir à peu prés la même chose.
Tu choisis un noyau en fonction de ton processeur. par défaut, si ce n’est pas un 386, 486 passe partout (tous d’ailleurs, mais plus lentement s’il n’est pas spécifiquement fait pour le processeur sur lequel il tourne).
Un p4, c’est 686. enfin c’est marqué dans le descriptif du paquet, quoi.
ensuite :

si tu es sous grub, aprés ça, ‘update-grub’, si tu es sous lilo, à tous hasards ‘lilo’.
et Reboot.


#26

Je te remercie infiniment MattOTop mais ça m’a soulé et j’ai relancé une install propre.

Je vais tout reprendre dans l’ordre en essayant de ne pas remettre /testing dans mes sources et de rester en XFree86

Je changerai le noyau comme tu dis une fois la réinstall propre, faite.


#27

lisez un peu ces choses là:
fr.debian.org/distrib/packages#view
(je cherche de la meilleure doc)
si vous connaissez un peu linux, il va falloir vous faire à debian :laughing:


#28

[quote=“fabrozor”]Je te remercie infiniment MattOTop mais ça m’a soulé et j’ai relancé une install propre.

Je vais tout reprendre dans l’ordre en essayant de ne pas remettre /testing dans mes sources et de rester en XFree86[/quote]
N’importe quoi :open_mouth:
Méthode windows ? pas bon…
tu va retrouver d’autres problêmes, pas les mêmes, et tu n’aura aucune idée de comment résoudre ni les premiers, ni la nouvelle série…
debian n’est pas la meilleure distrib pour une install “plug’n’play”, mais quand elle roule, elle roule.


#29

Je ne connais pas trop linux, je viens du monde windows.

Mais après un passage chez Mandrake, Suse, Fedora, Kubuntu j’ai choisi sans hésiter la Debian avec laquelle je me sent le mieux.

J’attend juste qu’elle cesse de me rejetter comme un soupirant indigne.

Je m’accroche :wink:

Tu as raison, la méthode “reinstall” n’est pas la bonne mais y a des moments comme ou le newbie pête un plomb.


#30

PS: et pour une utilisation perso, la etch n’est pas forcément un mauvais choix (sauf en ce moment, mais c’est con joncturel :laughing: )


#31

Bein après le dist-upgrade, je n’avais plus d’environnement graphique car c’était passé de XFree86 à Xorg.
J’étais donc en console, mes variables d’environnement étaient bien déclarées (je pense) mais j’avais les messages d’erreur suivants

Cannot set LC_CTYPTE to defaut locale : No such file or directory Cannot set LC_MESSAGE to defaut locale : No such file or directory Cannot set LC_ALL to defaut locale : No such file or directory
Je me suis donc dit que si “No such file …” c’est que les paquets de langue FR étaient manquant.
Mais quels paquets !? là était mon dilème … j’ai fait une recherche sur tout ce qui contenait “FR” et tout ce qui contenait “i18” mais devant l’avalanche de fichiers je me suis dit à moi-même … “laisse tomber” …


#32

tu aurais pu vérifié ta config en tapant :

[quote]$ locale
LANG=fr_FR@euro
LC_CTYPE="fr_FR@euro"
LC_NUMERIC="fr_FR@euro"
LC_TIME="fr_FR@euro"
LC_COLLATE="fr_FR@euro"
LC_MONETARY="fr_FR@euro"
LC_MESSAGES="fr_FR@euro"
LC_PAPER="fr_FR@euro"
LC_NAME="fr_FR@euro"
LC_ADDRESS="fr_FR@euro"
LC_TELEPHONE="fr_FR@euro"
LC_MEASUREMENT="fr_FR@euro"
LC_IDENTIFICATION="fr_FR@euro"
LC_ALL=
[/quote]


#33

c’est ce que j’ai fait et ça donnait le même résultat.
j’ai meme fait un “vi /etc/locale.gen” suivit d’un “locale-gen”


#34

comme toujours, debian tournant autour du systeme apt/dpkg, c’est par la qu’il semble falloir chercher:
dpkg-reconfigure locales
et si localees n’est pas installé:
dpkg-reconfigure belocs-locales-bin
ou
dpkg-reconfigure belocs-locales-data
(je ne me souviens plus duquel des deux)

et si ni locales ni belocs ne sont installé (je ne crois pas que ce soit possible, mais bon):
aptitude update;aptitude install belocs-locales-bin belocs-locales-data


#35

merci


#36

[quote=“MattOTop”]pas de panique, phase un, et AMHA, ca va règler quelques trucs: changer de noyau.
fabrozor:
fais comme moi:

emeraude:/usr/src/uml/linux-source-2.6.15$ aptitude search linux-image-2.6
v...

tu devrais avoir à peu prés la même chose.
Tu choisis un noyau en fonction de ton processeur. par défaut, si ce n’est pas un 386, 486 passe partout (tous d’ailleurs, mais plus lentement s’il n’est pas spécifiquement fait pour le processeur sur lequel il tourne).
Un p4, c’est 686. enfin c’est marqué dans le descriptif du paquet, quoi.
ensuite :

si tu es sous grub, aprés ça, ‘update-grub’, si tu es sous lilo, à tous hasards ‘lilo’.
et Reboot.[/quote]

Ayé, la réinstallalation est finie.

Comme ça va repartir sur un autre sujet que le sujet initial, je pense qu’il vaudrait mieux (pour la clareté du forum) que je créer un nouveu thread.


#37

oui.


#38

Ok, j’ai créé un nouveau thread tout propre :

Install Debian sur portable HP nx6125 PY476ET

–> http://forum.debian-fr.org/viewtopic.php?p=17052#17052